Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.code
Class OWLResourceNameMatcher

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.code.OWLResourceNameMatcher

All Implemented Interfaces:
  ResourceNameMatcher

Direct Known Subclasses:
  SWRLResourceNameMatcher

    public class OWLResourceNameMatcher

extends Object
implements ResourceNameMatcher

Author:
  Holger Knublauch

Field Summary
`static int` | `SCALABLE_FRAME_COUNT`

Constructor Summary
`OWLResourceNameMatcher()`

Method Summary
`static void` | `addMatchingRDFIndividuals(String prefix, Set<RDFResource> result, OWLModel owlModel)`
`static void` | `addMatchingRDFProperties(String prefix, Set<RDFResource> result, OWLModel owlModel)`
`static void` | `addMatchingRDFSNamedClasses(String prefix, Set<RDFResource> result, OWLModel owlModel)`
`protected boolean` | `couldBeClass(OWLModel owlModel, String prefix)`
`protected boolean` | `couldBeDatatype(OWLModel owlModel, String prefix)`
`protected boolean` | `couldBeIndividual(OWLModel owlModel, String prefix)`
`protected boolean` | `couldBeProperty(OWLModel owlModel, String prefix)`
`String` | `getInsertString(RDFResource resource)`
`static void` | `getMatchingDatatypeNames(String prefix, Set<RDFResource> result, OWLModel owlModel)`
`Set<RDFResource>` | `getMatchingResources(String prefix, String leftString, OWLModel owlModel)`
`boolean` | `isIdChar(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCALABLE_FRAME_COUNT

    public static final int SCALABLE_FRAME_COUNT

See Also:
  Constant Field Values

Constructor Detail

### OWLResourceNameMatcher

    public OWLResourceNameMatcher()

Method Detail

### getInsertString

    public String getInsertString(RDFResource resource)

  Specified by:
    `getInsertString` in interface `ResourceNameMatcher`

### getMatchingResources

    public Set<RDFResource> getMatchingResources(String prefix,
                                                 String leftString,
                                                 OWLModel owlModel)

  Specified by:
    `getMatchingResources` in interface `ResourceNameMatcher`

### couldBeClass

    protected boolean couldBeClass(OWLModel owlModel,
                                   String prefix)

### couldBeIndividual

    protected boolean couldBeIndividual(OWLModel owlModel,
                                        String prefix)

### couldBeProperty

    protected boolean couldBeProperty(OWLModel owlModel,
                                      String prefix)

### couldBeDatatype

    protected boolean couldBeDatatype(OWLModel owlModel,
                                      String prefix)

### addMatchingRDFSNamedClasses

    public static void addMatchingRDFSNamedClasses(String prefix,
                                                   Set<RDFResource> result,
                                                   OWLModel owlModel)

### addMatchingRDFProperties

    public static void addMatchingRDFProperties(String prefix,
                                                Set<RDFResource> result,
                                                OWLModel owlModel)

### addMatchingRDFIndividuals

    public static void addMatchingRDFIndividuals(String prefix,
                                                 Set<RDFResource> result,
                                                 OWLModel owlModel)

### getMatchingDatatypeNames

    public static void getMatchingDatatypeNames(String prefix,
                                                Set<RDFResource> result,
                                                OWLModel owlModel)

### isIdChar

    public boolean isIdChar(char ch)

  Specified by:
    `isIdChar` in interface `ResourceNameMatcher`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.